Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046188
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-03-30 17:362021-04-12 08:37
ReporterLeyreView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR21Q3
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046188: If you activate "Rounding" field in Payment Method tab, the Cashu-Up section in Backend is hidden

DescriptionIf you activate "Rounding" field in Payment Method tab, the Cashu-Up section in Backend is hidden and the configuration of the "Counting Payment in Cash Up" field is missing.
Steps To Reproduce1. Open the Channel - Touchpoint Type window: VBS POS Terminal Type
https://livebuilds.openbravo.com/retail_translations_pgsql/?tabId=D01039797B054BE69CA5770B8CFB933C&recordId=BD39916225594B32A88983899CF05F72 [^]

2. Payment Method tab -> Cash
https://livebuilds.openbravo.com/retail_translations_pgsql/?tabId=4D9F5E9CC0014A96861CEFB64BBF013B&recordId=146569994AB34AC78FDC12AE15F307AF [^]

3. Set "Rounding" option = true

Result:

- Verify that the Cash Up section is hidden.
- Also if you try to set Rounding Option = false, the "Counting Payment in Cash Up" value is missing.
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0127200)
hgbot (developer)
2021-04-09 14:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/372 [^]
(0127225)
hgbot (developer)
2021-04-12 08:37

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: a2dd1ac1e487935461cca44ec3e5a0c099c979ac
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-04-12T06:37:09+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/a2dd1ac1e487935461cca44ec3e5a0c099c979ac [^]

Fixed ISSUE-46188: Added Message in RoundingPaymentType Callout
* When Rounding field in Payment method of Touchpoint type is checked, Message should be shown from callout that Count Payment in Cash Up field will be unchecked and hidden

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/ad_callouts/PaymentRoundingCallout.java
---
(0127226)
hgbot (developer)
2021-04-12 08:37

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/372 [^]

- Issue History
Date Modified Username Field Change
2021-03-30 17:36 Leyre New Issue
2021-03-30 17:36 Leyre Assigned To => Retail
2021-03-30 17:36 Leyre Triggers an Emergency Pack => No
2021-03-31 09:45 rafaroda Tag Attached: NOR
2021-04-05 15:09 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2021-04-09 14:40 hgbot Note Added: 0127200
2021-04-12 08:37 hgbot Resolution open => fixed
2021-04-12 08:37 hgbot Status new => closed
2021-04-12 08:37 hgbot Fixed in Version => RR21Q3
2021-04-12 08:37 hgbot Note Added: 0127225
2021-04-12 08:37 hgbot Note Added: 0127226


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker